Bug 1279972 - Request: reenable kwallet support.
Request: reenable kwallet support.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qupzilla (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 10:47 EST by Stan Trzmiel
Modified: 2015-12-18 04:59 EST (History)
4 users (show)

See Also:
Fixed In Version: qupzilla-1.8.9-2.fc22
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 04:59:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stan Trzmiel 2015-11-10 10:47:40 EST
Description of problem:
Back in the Qt 4.x times Qupzilla had kwallet integration plugin.
It was dropped with first qt5 builds as the plugin didn't compile correctly.


According to changelog 1.8.7 release fixed builds against KF5-kwallet, which is present in all supported Fedora releases. It would be nice to have at least one modern webbrowser that providesintegrats with KDE.
Comment 1 Rex Dieter 2015-11-10 10:51:42 EST
I implemented this,

%changelog
* Tue Nov 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 1.8.8-2
- enable kwallet plugin (#1279972)
- track plugins closer
- filter plugin provides
- .spec cosmetics

But I wanted to hear from other maintainers before submitting updates, in case there were any concerns or objections about the new kf5-kwallet dependency.


While on the topic, looks like qupzilla supports building a gnome-keyring plugin too, with added dep on libgnome-kerying.  Any thoughts on that too?  (maybe include in a sub-package?)
Comment 2 Fedora Update System 2015-11-30 09:55:25 EST
qupzilla-1.8.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cb6927314
Comment 3 Fedora Update System 2015-11-30 09:56:00 EST
qupzilla-1.8.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-581f19499d
Comment 4 Fedora Update System 2015-11-30 21:22:10 EST
qupzilla-1.8.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qupzilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cb6927314
Comment 5 Fedora Update System 2015-12-02 11:52:27 EST
qupzilla-1.8.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qupzilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-581f19499d
Comment 6 mastaiza 2015-12-07 15:42:36 EST
kick it back

it is not necessary kwallet
Comment 7 Rex Dieter 2015-12-08 09:19:10 EST
Per comment #1, could consider making a corresponding -kwallet subpkg
Comment 8 mastaiza 2015-12-08 09:59:56 EST
I use this browser to icewm. and would not cling kde
Comment 9 Rex Dieter 2015-12-08 10:24:20 EST
Ok, I'll make -kwallet -gnome-kerying subpkgs as threatened
Comment 10 Fedora Update System 2015-12-09 11:39:33 EST
qupzilla-1.8.9-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cb6927314
Comment 11 Fedora Update System 2015-12-09 11:40:03 EST
qupzilla-1.8.9-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-581f19499d
Comment 12 Fedora Update System 2015-12-09 18:23:55 EST
qupzilla-1.8.9-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qupzilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-581f19499d
Comment 13 Fedora Update System 2015-12-09 23:56:48 EST
qupzilla-1.8.9-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qupzilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cb6927314
Comment 14 Fedora Update System 2015-12-18 02:54:20 EST
qupzilla-1.8.9-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-12-18 04:59:41 EST
qupzilla-1.8.9-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.